<?php
namespace Claromentis\Infocapture\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array();
use Claromentis\Core\Event\Event;
class TrafficLightDeleteEvent extends Event
{
    protected $project_id;
    protected $light_id;
    protected $light_name;
    public function __construct(int $project_id, int $_7553ec4aa6c35abdd204d01a8cce850f, string $_3ad87cebed28fcc0824f1b5f4ad4584a)
    {
        $this->project_id = $project_id;
        $this->light_id = $_7553ec4aa6c35abdd204d01a8cce850f;
        $this->light_name = $_3ad87cebed28fcc0824f1b5f4ad4584a;
    }
    
    
    
    
    public function getProjectId() : int
    {
        return $this->project_id;
    }
    
    
    
    
    public function getLightId() : int
    {
        return $this->light_id;
    }
    
    
    
    
    public function getLightName() : string
    {
        return $this->light_name;
    }
}